DCMTK - Feature #359

Weitere Dictionaries mit Inhalten aus Teil 6 und 16
2011-12-01 00:00 - J6rg Riesmeier

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 20%
Category: Dictionary Estimated time: 0:00 hour

Target version:
Module: dcmdata, demsr (?) Compiler:

Operating System:

Description

¢ In Teil 6 des DICOM-Standards findet sich unter anderem eine Tabelle, in der den Kontextgruppen aus Teil 16 eine eindeutige
Kennung (UID) zugeordnet wird.

¢ In Teil 16 des DICOM-Standards findet sich unter anderem eine Tabelle, in der alle "bekannten" Kodierungsschemata mit
zugeordneter UID aufgelistet sind.

History

#1 - 2013-10-23 13:33 - Jorg Riesmeier

- Category set to Dictionary

#2 - 2013-10-23 18:36 - JOrg Riesmeier

- Priority changed from Low to Normal

Offen: Sollen diese Verzeichnisse zur Laufzeit (aus einer Text- oder XML-Datei) eingelesen werden oder statisch im Quelltext vorliegen? Es wére
auch eine Hybrid-Lésung wie beim "Data Dictionary" denkbar.

#3 - 2013-10-23 18:41 - J6rg Riesmeier

Fur den zweiten Punkt (Kodierungsschemeta) wirde sich aufgrund der Kirze der Liste vermutlich eine statische Definition im Quelltext anbieten. Die
beiden DICOM-spezifischen UIDs sind auch bereits in "dcuid.h/cc" definiert:

// Coding Schemes
#define UID_DICOMControlledTerminologyCodingScheme "1.2.840.10008.2.16.4"
#define UID_DICOMUIDRegistryCodingScheme "1.2.840.10008.2.6.1"

#4 - 2015-07-09 15:26 - Jorg Riesmeier
- % Done changed from 0 to 20

Far alle DCM-Codes aus Teil 16 gibt es jetzt ebenfalls eine Datei mit allen Definitionen (decmtk/dcmsr/codes/dcm.h).
